/*
 * @Author: zhou lei
 * @Date: 2023-05-09 17:22:30
 * @LastEditTime: 2023-05-14 21:29:47
 * @LastEditors: zhou lei
 * @Description: Description
 * @FilePath: /sf-cloud-front/src/api/energy/exception/data.js
 * 联系方式:910592680@qq.com 科海达信息技术有限公司
 */
import request from "@/utils/request";
import QueryString from "qs";

// 查询异常数据记录列表
export function listData(query) {
  return request({
    url: "/ems/record/alarmData/list",
    method: "get",
    params: query,
  });
}
// 查询异常数据记录列表
export function editAlarmStatus(params) {
  return request({
    url: "/ems/record/alarmData/editAlarmStatus",
    method: "post",
    // contentType: "application/x-www-form-urlencoded; charset=UTF-8",
    data:params,
  });
}

// 查询异常数据记录详细
export function getData(objId) {
  return request({
    url: "/ems/record/alarmData/" + objId,
    method: "get",
  });
}

// 新增异常数据记录
export function addData(data) {
  return request({
    url: "/ems/record/alarmData",
    method: "post",
    data: data,
  });
}

// 修改异常数据记录
export function updateData(data) {
  return request({
    url: "/ems/record/alarmData",
    method: "put",
    data: data,
  });
}

// 删除异常数据记录
export function delData(objId) {
  return request({
    url: "/ems/record/alarmData/" + objId,
    method: "delete",
  });
}
